Arch: Sito

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Site and the translation is 85% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Arch Building.svg Edificio Pagina precedente:
Pagina successiva: Riferimento esterno Arch Reference.svg Arrow-right.svg

Arch Site.svg Sito

Nome nel codice
Arch Site
Posizione nel menu
Arch → Sito
Ambiente
Architettura
Avvio veloce
S I
Introdotto nella versione
-
Vedere anche
Piano, Edificio


Descrizione

Il Sito di Arch è un oggetto speciale che unisce le proprietà di un oggetto gruppo standard di FreeCAD con quelle degli oggetti Arch. Esso è particolarmente adatto per rappresentare un intero sito del progetto o un terreno. Nei lavori di architettura basati su IFC, serve soprattutto per organizzare il modello, racchiudendo in esso gli oggetti edificio. Il sito è utilizzato anche per gestire e visualizzare un terreno fisico, e può calcolare i volumi di terra che devono essere aggiunti o rimossi.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo sito
  2. Premere il pulsante Arch Site.svg Sito, oppure premere i tasti S e I

Opzioni

  • Dopo aver creato un sito, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.svg Aggiungi. Ciò determina solo quale oggetto fa parte di un dato sito, e non ha effetto sul terreno stesso.
  • È possibile rimuovere gli oggetti da un sito trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.svg Rimuovi
  • È possibile aggiungere un oggetto terreno modificando la proprietà DataTerrain del Sito. Il terreno deve essere un guscio aperto (shell) o una superficie.
  • È possibile aggiungere volumi da sommare o da sottrarre dal terreno di base, facendo doppio clic sul Sito, e aggiungendo gli oggetti ai suoi gruppi Sottrazioni o Aggiunte. Gli oggetti devono essere dei solidi.
  • La proprietà DataExtrusion Vector può essere utilizzata per risolvere alcuni problemi che possono presentarsi quando si lavora con le sottrazioni e le aggiunte. Per svolgere tali addizioni o sottrazioni, la superficie del terreno viene estrusa in un solido, che viene poi opportunamente aggiunto o sottratto. A seconda della topologia del terreno, questa estrusione potrebbe non riuscire con il vettore di default di estrusione. Può darsi che sia possibile risolvere il problema assegnando al vettore a un valore diverso.

Proprietà

Dati

  • DatiTerrain: Il terreno di base del sito
  • DatiAddress: La via e il numero civico di questo sito
  • DatiPostal Code: Il codice postale o zip di questo sito
  • DatiCity: La città di questo sito
  • DatiCountry: Il paese di questo sito
  • DatiLatitude: La latitudine di questo sito
  • DatiLongitude: La longitudine di questo sito
  • DatiUrl: Un URL che mostra questo sito in un sito web mapping
  • DatiProjected Area: L'area della proiezione di questo oggetto sul piano XY
  • DatiPerimeter: La lunghezza del perimetro di questo terreno
  • DatiAddition Volume: Il volume di terra da aggiungere a questi terreni
  • DatiSubtraction Volume: Il volume di terra da rimuovere da questi terreni
  • DatiExtrusion Vector: Un vettore di estrusione da utilizzare durante l'esecuzione di operazioni booleane
  • DatiRemove Splitter: Rimuovere gli scarti dalla forma risultante
  • DataDeclination: l'angolo tra la direzione Nord reale e quella Nord in questo documento, ovvero l'asse Y.introduced in version 0.18 Ciò significa che per impostazione predefinita l'asse Y punta a Nord e l'asse X punta a Est; l'angolo aumenta in senso antiorario. Questa proprietà era precedentemente nota comeDataNorth Deviation.
  • VistaSolar Diagram: Mostra o nasconde il diagramma solare
  • VistaSolar Diagram Color: Il colore del diagramma solare
  • VistaSolar Diagram Position: La posizione del diagramma solare
  • VistaSolar Diagram Scale: La scala del diagramma solare

Vista

  • ViewSolar Diagram: Mostra o nasconde il diagramma solare
  • ViewSolar Diagram Color: Il colore del diagramma solare
  • ViewSolar Diagram Position: La posizione del diagramma solare
  • ViewSolar Diagram Scale: La scala del diagramma solare

Tipico flusso di lavoro

Iniziare creando un oggetto che rappresenta il terreno. Deve essere una superficie aperta, non un solido. Per esempio, è facile per importare dati mesh, che possono essere trasformati in una Part Shape dal menu Part → Crea Forma da Mesh. Poi, creare un oggetto Sito, e impostare la sua proprietà DataTerrain dalla Parte appena creata:

Arch site example 01.jpg

Creare alcuni volumi (devono essere dei solidi) che rappresentano le aree che si desidera scavare o riempire. Fare doppio clic sull'oggetto Sito nella struttura ad albero, e aggiungere questi volumi ai gruppi Aggiunte o Sottrazioni. Fare clic su OK.

Arch site example 02.jpg

La geometria sito sarà ricalcolata e le proprietà aree, il perimetro e i volumi rivalutati.

Arch site example 03.jpg

Diagramma solare

Se nel proprio sistema è installato pysolar, i Siti di Arch possono visualizzare un diagramma solare. Per questo, le proprietà DataLongitude, DataLatitude e DataDeclination (precedentemente era DataNorth Deviation) devono essere impostate correttamente, e la proprietà ViewSolar Diagram impostata su True. Disponibile dalla versione 0.17

Richiede Pysolar 0.7 o superiore; questa versione funziona solo con Python 3. Se serve questa funzione con Python 2, si deve avere Pysolar 0.6 in quanto questa è l'ultima versione che funziona con Python 2.

Freecad-solar-diagram.jpg

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Sito può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
  • Crea un oggetto Site da objectslist, che è una lista di oggetti, o da un baseobj, che è una Shape o un Terrain.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Diagramma solare

Se il modulo pysolar è presente, è possibile aggiungere al sito un diagramma solare. Impostare gli angoli di longitudine, latitudine e declinazione in modo appropriato, nonché una scala adeguata per le dimensioni del modello.

Notare che è richiesto Pysolar 0.7 o superiore, e questa versione funziona solo con Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Diagramma solare indipendente dal sito

Un diagramma solare può essere creato con la seguente funzione, indipendentemente da qualsiasi sito:

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Crea un diagramma solare come nodo Pivy, usando longitude e latitude, con una scale opzionale.
  • Se complete è True, disegna i 12 mesi, che mostra l'intero analemma solare.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
Arrow-left.svg Arch Building.svg Edificio Pagina precedente:
Pagina successiva: Riferimento esterno Arch Reference.svg Arrow-right.svg